using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Hotline.Share.Enums.FlowEngine
{
    public enum EWorkflowTraceType
    {
        ///// <summary>
        ///// 流程开始
        ///// </summary>
        //[Description("流程开始")]
        //Start = 0,

        /// <summary>
        /// 正常流转
        /// </summary>
        [Description("正常流转")]
        Normal = 1,

        /// <summary>
        /// 特提
        /// </summary>
        [Description("特提")]
        Recall = 2,

        /// <summary>
        /// 退回
        /// </summary>
        [Description("退回")]
        Previous = 3,

        /// <summary>
        /// 跳转
        /// </summary>
        [Description("跳转")]
        Jump = 4,

        /// <summary>
        /// 撤销（发起人操作）
        /// </summary>
        [Description("撤销")]
        Cancel = 5,

        /// <summary>
        /// 重办
        /// </summary>
        [Description("重办")]
        Redo = 6,

        /// <summary>
        /// 二次办理
        /// </summary>
        [Description("二次办理")]
        SecondHandle = 7,

        /// <summary>
        /// 发布退回
        /// </summary>
        [Description("发布退回")]
        PublishPrevious = 8,
    }
}
